# $Revision: 1.7 $, $Date: 2004/11/07 21:47:37 $
Summary:	Theme bundle for GNUstep
Summary(pl):	Pakiet z motywami dla GNUstepa
Name:		Camaelon
Version:	0.1
Release:	3
License:	GPL
Group:		X11/Libraries
Source0:	http://www.roard.com/camaelon/download/%{name}-%{version}.tgz
# Source0-md5:	5b870e8e8d543ac25e58a231ab86bb57
URL:		http://www.roard.com/camaelon/
BuildRequires:	gnustep-gui-devel >= 0.8.7
Requires:	gnustep-gui >= 0.8.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
Camaelon is a theme bundle for GNUStep, loadable by settings in
UserDefaults.

%description -l pl
Camaelon to pakiet z motywami dla GNUstepa, ktre mona wczytywa
poprzez ustawienia w UserDefaults.

%prep
%setup -q -n %{name}

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System \

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%dir %{_prefix}/System/Library/Bundles/%{name}.themeEngine
%attr(755,root,root) %{_prefix}/System/Library/Bundles/%{name}.themeEngine/%{gscpu}
%dir %{_prefix}/System/Library/Bundles/%{name}.themeEngine/Resources
%{_prefix}/System/Library/Bundles/%{name}.themeEngine/Resources/*.tiff
%{_prefix}/System/Library/Bundles/%{name}.themeEngine/Resources/*.plist

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Camaelon.spec,v $
Revision 1.7  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.6  2004/11/07 11:41:12  paladine
- cosmetics

Revision 1.5  2004/07/05 19:50:11  qboosh
- License is GPL
- fixed build on amd64, release 2

Revision 1.4  2004/04/13 17:49:52  aredridel
- removed BR: gnustep-back-devel

Revision 1.3  2003/08/18 08:07:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.2  2003/07/31 19:49:44  qboosh
- pl, fixed changelog, added missing dirs
